Issue with launching an experiment

#1

Hey there,
While trying to launch a new experiment by using ‘neptune send’ i get the following error:
/home/jstachera/anaconda3/envs/cifar10/lib/python3.6/site-packages/neptune/internal/common/config/job_config.py:126: YAMLLoadWarning: calling yaml.load() without Loader=… is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
config = yaml.load(configfile.read())
/home/jstachera/anaconda3/envs/cifar10/lib/python3.6/site-packages/pykwalify/core.py:87: YAMLLoadWarning: calling yaml.load() without Loader=… is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
data = yaml.load(stream)
Current project: joannastachera/sandbox
Executable not found. Provide executable using positional argument or use the default (main.py, main.R, main.jar).
I tried to disable the warning by

PYTHONWARNINGS=ignore::yaml.YAMLLoadWarning

but it didn’t help much. Any ideas on how I could fix it? Thanks in advance

#2

Hi @joasta,

The warning is unrelated to the error.
The error is that neptune seems to be unable to find an executable to use as an entry point to your experiment.

You can run e.g. neptune send python_entrypoint_file.py or simply neptune send in a directory containing main.py.

Best,
Piotr